<?php
//about theme info
add_action( 'admin_menu', 'video_blog_gettingstarted' );
function video_blog_gettingstarted() {    	
	add_theme_page( esc_html__('About Video Blog', 'video-blog'), esc_html__('About Video Blog', 'video-blog'), 'edit_theme_options', 'video_blog_guide', 'video_blog_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function video_blog_admin_theme_style() {
   wp_enqueue_style('video-blog-custom-admin-style', get_theme_file_uri() . '/inc/getstart/getstart.css');
   wp_enqueue_script('video-blog-tabs', get_theme_file_uri() . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'video_blog_admin_theme_style');

//guidline for about theme
function video_blog_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'video-blog' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to Video Blog Theme', 'video-blog' ); ?> <span class="version"><?php esc_html_e( 'Version', 'video-blog' ); ?>: <?php echo esc_html($theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','video-blog'); ?></p>
    </div>

    <div class="tab-sec">
		<div class="tab">
		  	<button class="tablinks" onclick="video_blog_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'video-blog' ); ?></button>
		  	<button class="tablinks" onclick="video_blog_open_tab(event, 'block_pattern')"><?php esc_html_e( 'Setup With Block Pattern', 'video-blog' ); ?></button>
			<button class="tablinks" onclick="video_blog_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'video-blog' ); ?></button>
		</div>

		<?php
			$video_blog_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$video_blog_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = Video_Blog_Plugin_Activation_Settings::get_instance();
				$video_blog_actions = $plugin_ins->recommended_actions;
				?>
				<div class="video-blog-recommended-plugins">
				    <div class="video-blog-action-list">
				        <?php if ($video_blog_actions): foreach ($video_blog_actions as $key => $video_blog_actionValue): ?>
				                <div class="video-blog-action" id="<?php echo esc_attr($video_blog_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($video_blog_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($video_blog_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($video_blog_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','video-blog'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($video_blog_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'video-blog' ); ?></h3>
				<hr class="h3hr">
			  	<p><?php esc_html_e('With free WordPress video theme, you create a good video website for business. You can display the video content and this is WooCommerce compatible irrespective of being free. You can open the online video business. It is accompanied with more than one hundred font family options and it also has advanced colour options. Free WordPress theme for video has the customizable homepage and is known for its responsive design. It has favicon, logo, title and tagline customization and also plugin library. You can make the video sharing website like you-tube and it also has enable disable options on all sections. Free WP video theme is translation ready. You can easily access the website in multiple languages. This free WP theme has full width template and is also good for movie promotion site or the online portal related to news. It is also accompanied with advanced slider with multiple effects and control options.','video-blog'); ?></p>
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'video-blog' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'video-blog' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VIDEO_BLOG_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'video-blog' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'video-blog'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'video-blog'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'video-blog'); ?></a>
					</div>
					<hr>				
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'video-blog'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'video-blog'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VIDEO_BLOG_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'video-blog'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'video-blog'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'video-blog'); ?>  </p>
					<div class="info-link">
						<a href="<?php echo esc_url( VIDEO_BLOG_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'video-blog'); ?></a>
					</div>
			  		<div class="link-customizer">
						<h3><?php esc_html_e( 'Link to customizer', 'video-blog' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','video-blog'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-category"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_category_section') ); ?>" target="_blank"><?php esc_html_e('Category Section','video-blog'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','video-blog'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_footer_section') ); ?>" target="_blank"><?php esc_html_e('Footer Text','video-blog'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','video-blog'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-align-center"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_woocommerce_section') ); ?>" target="_blank"><?php esc_html_e('WooCommerce Layout','video-blog'); ?></a>
								</div> 
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','video-blog'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','video-blog'); ?></a>
								</div> 
							</div>

						</div>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','video-blog'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','video-blog'); ?></p>
	                <ul>
	                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','video-blog'); ?></span><?php esc_html_e(' Go to ','video-blog'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','video-blog'); ?></b></p>

	                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','video-blog'); ?></p>
	                  	<img src="<?php echo esc_url(get_theme_file_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
	                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','video-blog'); ?></span><?php esc_html_e(' Go to ','video-blog'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','video-blog'); ?></b></p>
					  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','video-blog'); ?></p>
	                  	<img src="<?php echo esc_url(get_theme_file_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
	                  	<p><?php esc_html_e(' Once you are done with this, then follow the','video-blog'); ?> <a class="doc-links" href="https://www.vwthemesdemo.com/docs/free-video-blog/" target="_blank"><?php esc_html_e('Documentation','video-blog'); ?></a></p>
	                </ul>
			  	</div>
			</div>
		</div>	

		<div id="block_pattern" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Video_Blog_Plugin_Activation_Settings::get_instance();
			$video_blog_actions = $plugin_ins->recommended_actions;
			?>
				<div class="video-blog-recommended-plugins">
				    <div class="video-blog-action-list">
				        <?php if ($video_blog_actions): foreach ($video_blog_actions as $key => $video_blog_actionValue): ?>
				                <div class="video-blog-action" id="<?php echo esc_attr($video_blog_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($video_blog_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($video_blog_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($video_blog_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" href="javascript:void(0);" get-start-tab-id="gutenberg-editor-tab"><?php esc_html_e('Skip','video-blog'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="gutenberg-editor-tab" style="<?php echo esc_attr($video_blog_plugin_custom_css); ?>">
				<div class="block-pattern-img">
				  	<h3><?php esc_html_e( 'Block Patterns', 'video-blog' ); ?></h3>
					<hr class="h3hr">
					<p><?php esc_html_e('Follow the below instructions to setup Home page with Block Patterns.','video-blog'); ?></p>
	              	<p><b><?php esc_html_e('Click on Below Add new page button >> Click on "+" Icon >> Click Pattern Tab >> Click on homepage sections >> Publish.','video-blog'); ?></span></b></p>
	              	<div class="video-blog-pattern-page">
				    	<a href="javascript:void(0)" class="vw-pattern-page-btn button-primary button"><?php esc_html_e('Add New Page','video-blog'); ?></a>
				    </div>
	              	<img src="<?php echo esc_url(get_theme_file_uri()); ?>/inc/getstart/images/block-pattern.png" alt="" />
	            </div>

              	<div class="block-pattern-link-customizer">
	              	<div class="link-customizer-with-block-pattern">
						<h3><?php esc_html_e( 'Link to customizer', 'video-blog' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','video-blog'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-networking"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_social_icon_settings') ); ?>" target="_blank"><?php esc_html_e('Social Icons','video-blog'); ?></a>
								</div>
							</div>
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','video-blog'); ?></a>
								</div>
								
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_footer_section') ); ?>" target="_blank"><?php esc_html_e('Footer Text','video-blog'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','video-blog'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-align-center"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_woocommerce_section') ); ?>" target="_blank"><?php esc_html_e('WooCommerce Layout','video-blog'); ?></a>
								</div> 
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','video-blog'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','video-blog'); ?></a>
								</div> 
							</div>
						</div>
					</div>	
				</div>			
	        </div>
		</div>

		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Video_Blog_Plugin_Activation_Settings::get_instance();
			$video_blog_actions = $plugin_ins->recommended_actions;
			?>
				<div class="video-blog-recommended-plugins">
				    <div class="video-blog-action-list">
				        <?php if ($video_blog_actions): foreach ($video_blog_actions as $key => $video_blog_actionValue): ?>
				                <div class="video-blog-action" id="<?php echo esc_attr($video_blog_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($video_blog_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($video_blog_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($video_blog_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'video-blog' ); ?></h3>
				<hr class="h3hr">
				<div class="video-blog-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','video-blog'); ?></a>
			    </div>

			    <div class="link-customizer-with-guternberg-ibtana">
					<h3><?php esc_html_e( 'Link to customizer', 'video-blog' ); ?></h3>
					<hr class="h3hr">
					<div class="first-row">
						<div class="row-box">
							<div class="row-box1">
								<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','video-blog'); ?></a>
							</div>
							<div class="row-box2">
								<span class="dashicons dashicons-networking"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_social_icon_settings') ); ?>" target="_blank"><?php esc_html_e('Social Icons','video-blog'); ?></a>
							</div>
						</div>
						<div class="row-box">
							<div class="row-box1">
								<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','video-blog'); ?></a>
							</div>
							
							<div class="row-box2">
								<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_footer_section') ); ?>" target="_blank"><?php esc_html_e('Footer Text','video-blog'); ?></a>
							</div>
						</div>

						<div class="row-box">
							<div class="row-box1">
								<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','video-blog'); ?></a>
							</div>
							 <div class="row-box2">
								<span class="dashicons dashicons-align-center"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_woocommerce_section') ); ?>" target="_blank"><?php esc_html_e('WooCommerce Layout','video-blog'); ?></a>
							</div> 
						</div>
						
						<div class="row-box">
							<div class="row-box1">
								<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_blog_magazine_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','video-blog'); ?></a>
							</div>
							 <div class="row-box2">
								<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','video-blog'); ?></a>
							</div> 
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
<?php } ?>